/* --------------- استایل های اسلاید و اسلاید های آن ---------------- */
.slider {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 0;
}

.slide {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    overflow: hidden;
    opacity: 1;
    transition: var(--transition-10);
}

.slide.active {
    z-index: 1;
}

/* ---------------- استایل های بک گراند اسلاید ها و تخصیص تصویر پس زمینه به آنها ---------------- */
.s-1 {
    background: var(--slides-overlayer-color), var(--what-we-do-slide-image-url);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: top;
}

.s-2 {
    background: var(--slides-overlayer-color), var(--why-us-slide-image-url);
    background-size: cover;
    background-position: top;
}

.s-3 {
    background: var(--slides-overlayer-color), var(--about-us-slide-image-url);
    background-size: cover;
    background-position: top;
}

.s-4 {
    background: var(--slides-overlayer-color), var(--contact-us-slide-image-url);
    background-size: cover;
    background-position: center;
}

.slide-info {
    width: 500px;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: end;
    padding-bottom: 120px;
    padding-right: clamp(24px, 5vw, 64px);
    opacity: 0;
    transition: all 3s ease-in-out;
    transform: translate(0, 30px);
    will-change: transform;
}

body.loaded .slide-info {
    opacity: 1;
    transform: translate(0, 0);
}

.slide-info-inner-container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.puzzle-img {
    width: clamp(40px, 5vw, 60px);
    transform: translateY(clamp(3px, 1vw, 9px));
}

.slide-subtitle {
    color: var(--base-color);
    font-size: clamp(18px, 2vw, 22px);
    padding-bottom: clamp(12px, 2.2vw, 18px);
    font-family: "iransans-medium";
    line-height: clamp(32px, 5vw, 40px);
    text-align: center;
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    justify-content: center;
    gap: 10px;
}


.slide-opener {
    padding: clamp(8px, 2.5vw, 12px) clamp(48px, 5vw, 64px);
    border-radius: 16px;
    background: var(--base-linear-gradiant);
    font-size: clamp(16px, 2.5vw, 16px);
    font-weight: 600;
    transition: all .3s ease-in-out;
    cursor: pointer;
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
    transform: translateX(15.5%);
    animation: blueshadow 3s infinite;
}

body.light .slide-opener{
    animation: grayshadow 3s infinite;
}



@keyframes blueshadow {
    0% {
        box-shadow: 0 0 10px 10px transparent;
        border: 2px solid transparent;
    }

    50% {
        box-shadow: 0 0 10px 10px #506ba593;
        border: 2px solid #506ba5;
    }

    100% {
        box-shadow: 0 0 10px 10px transparent;
        border: 2px solid transparent;

    }
}

@keyframes grayshadow {
    0% {
        box-shadow: 0 0 8px 8px transparent;
        border: 2px solid transparent;
    }

    50% {
        box-shadow: 0 0 8px 8px #71747e93;
        border: 2px solid #3f4146af;
    }

    100% {
        box-shadow: 0 0 8px 8px transparent;
        border: 2px solid transparent;

    }
}

.slide-opener:hover {
    transform: translateY(3px) scale(1.01) translateX(15.5%);
}

.opened-slide {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 5;
    overflow-y: scroll;
    scroll-behavior: smooth;
    transform: translateX(-102%);
    transition: all 1s ease-out;
    transition: var(--transition-10);
    background-color: rgba(0, 0, 0, .2);
    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(20px);
    will-change: scroll-position;
    background: var(--slides-overlayer-color);
}

.opened-slide.faq {
    transform: translateX(122%);
}

.opened-slide.active {
    transform: translateX(0) translateY(0);
    scrollbar-width: none;
}

.opened-slide::-webkit-scrollbar {
    display: none;
}

.slide-container {
    width: 100%;
    height: 100%;
    padding: clamp(8px, 5vw, 12px);
    opacity: 0;
    transform: translateY(60px);
    transition: all 1s ease-in-out;
}

.slide-container.show {
    transform: translateY(0);
    opacity: 1;
}

.slide-container .section {
    width: 100%;
    padding-bottom: clamp(24px, 4vw, 48px);
}

.section:last-child::after {
    display: none;
}

.slide-container .section h2 {
    text-align: center;
    padding: clamp(16px, 4vw, 32px) 0;
    font-size: clamp(14px, 4vw, 32px);
}

.section-info {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    gap: 0 clamp(36px, 8vw, 72px);
    transition: all .5s ease-in-out;
    overflow: hidden;
}


.slide-container .section p {
    flex-basis: 40%;
    color: #fff;
    transform: translateX(100%);
    transition: all .5s ease-in-out;
    font-size: clamp(12px, 1.4vw, 24px);
    opacity: 0;
    height: 290px;
    display: flex;
    align-items: start;
    flex-direction: column;
    justify-content: space-between;
    will-change: transform;
}

.slide-container .section .section-info p .info-text-block {
    display: flex;
    width: 100%;
    align-items: start;
}

.slide-container .section .section-info p .info-text-block .text {
    line-height: clamp(22px, 4vw, 37px);
    color: var(--base-color);
    font-weight: 600;
}

.pointer-container {
    min-width: 30px;
    max-width: 30px;
    height: 100%;
}

.pointer {
    min-width: clamp(10.8px, 3vw, 18px);
    min-height: clamp(10.8px, 3vw, 18px);
    border-radius: 50%;
    background: radial-gradient(circle at 35% 30%, rgba(255, 255, 255, 0.85) 0 5%, rgba(200, 220, 255, 0.6) 20%, rgba(39, 76, 119, 0.2) 70%, rgba(39, 76, 119, 0.5) 100%);
    box-shadow: inset 2px 3px 6px rgba(39, 76, 119, 0.6),
        inset 1.5px 1.5px 3px rgba(39, 76, 119, 0.6),
        0px 2px 3px rgba(39, 76, 119, 0.5);
    position: relative;
    display: block;
    margin-left: 20px;
    overflow: hidden;
    margin-top: 5.5px;
}

.pointer::after {
    content: "";
    width: 300%;
    height: 40%;
    position: absolute;
    top: -20%;
    left: -100%;
    background: linear-gradient(90deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 0) 100%);
    transform: skewY(-10deg);
    filter: blur(6px);
    animation: pointerLight 3s linear infinite alternate;
    will-change: transform;
}

.slide-container .section-2 p {
    transform: translateX(-100%);
}

.slide-container .section-4 p {
    transform: translateX(-100%);
}

.slide-container .section-6 p {
    transform: translateX(-100%);
}

.slide-container .section .image-container {
    flex-basis: 40%;
    height: 300px;
    transform: translateX(-100%);
    transition: all .5s ease-in-out;
    opacity: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    will-change: transform;
}


#firstimage {
    opacity: 1 !important;
    transform: translateX(0);
}

#firsttxt {
    opacity: 1 !important;
    transform: translateX(0);
}

.slide-container .section-2 .section-info {
    flex-direction: row-reverse;
}

.slide-container .section .section-info.contact-form {
    flex-direction: column;
}

.slide-container .section-2 .section-info .image-container {
    transform: translateX(100%);
}

.slide-container .section-4 .section-info {
    flex-direction: row-reverse;
}

.slide-container .section-4 .section-info .image-container {
    transform: translateX(100%);
}

.slide-container .section-6 .section-info {
    flex-direction: row-reverse;
}

.slide-container .section-6 .section-info .image-container {
    transform: translateX(100%);
}

.section-info.show .image-container,
.section-info.show p {
    transform: translateX(0) !important;
}

.slide-container .section .image-container a {
    border-radius: 10px;
    width: 100%;
    height: 100%;
}
.slide-container .section .image-container a img {
    border-radius: 10px;
    width: 100%;
    object-fit: cover;
    height: 100%;
}
.slide-container .section .image-container img {
    border-radius: 10px;
    width: 100%;
    object-fit: cover;
    height: 100%;
}

.boxCloser {
    border-radius: 50%;
    background: var(--base-linear-gradiant);
    font-size: clamp(12px, 2.5vw, 16px);
    transition: all .3s ease-in-out;
    cursor: pointer;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    left: 24px;
    top: 24px;
}

.boxCloser:hover {
    transform: translateY(3px) scale(1.01);
}

.back-top {
    border-radius: 50%;
    background: var(--base-linear-gradiant);
    font-size: clamp(10px, 2.5vw, 14px);
    cursor: pointer;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    left: 24px;
    bottom: 48px;
    opacity: 0;
    transition: opacity .3s ease-in-out;
    pointer-events: none;
    z-index: 10;
    will-change: transform;
}
.back-top.show{
    opacity: 1;
    pointer-events: all;
}

.back-top::after {
    content: "برگرد به بالا";
    width: 75px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #C9C5BF;
    color: #222;
    position: absolute;
    top: -35px;
    left: 50%;
    font-size: 10px;
    transform: translateX(-50%) translateY(-10px);
    opacity: 0;
    pointer-events: none;
    border-radius: 10px;
    transition: all .3s ease-in-out;
    box-shadow: inset 2px 2px 8px rgb(57, 61, 63, .6),
        inset -2px -2px 8px rgba(39, 76, 119, 0.2);
}

.back-top:hover::after {
    opacity: 1;
    transform: translateX(-50%);
}

.back-top.hide{
    opacity: 0;
}

.faq-container {
    width: 100%;
    padding: clamp(48px, 5vw, 64px) clamp(24px, 5vw, 64px) 32px clamp(24px, 5vw, 64px);
    overflow: scroll;
    scrollbar-width: none;
}

.faq-container::-webkit-scrollbar {
    display: none;
}

.faq-item-container {
    width: 100%;
    border: 1px solid var(--faq-border-color);
    border-radius: 40px;
    transition: all .5s ease-in-out;
    margin-bottom: 16px;
    line-height: 36px;
    overflow: hidden;
    transition: var(--transition-5);
}

.faq-item-container.show {
    background-color: rgba(255, 255, 255, 0.05)
}

.faq-item {
    display: flex;
    align-items: start;
    justify-content: space-between;
    padding: 12px 24px;
    color: var(--base-color);
    position: relative;
}


.faq-item-container.show span {
    transform: rotate(90deg);
}

.faq-item span {
    cursor: pointer;
    transition: var(--transition-5);
}

.faq-item-container .response {
    pointer-events: none;
    padding: 12px 36px;
    position: relative;
    font-size: 14px;
}

.response::before {
    width: 75%;
    height: 2px;
    border-radius: 5px;
    background-color: var(--base-color);
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
}

.forms-slider {
    min-width: 100%;
    overflow: hidden;
    position: relative;
    opacity: 1;
    transition: opacity .3s ease-in-out;
}



.forms-slider.sliding {
    opacity: 0;
}

.form-title {
    opacity: 1;
    transition: var(--transition-3);
}

.form-title.sliding {
    opacity: 0;
}

.form-container {
    position: absolute;
    min-width: 100%;
    top: 0;
    opacity: 0;
    pointer-events: none;
}

.form-container.active {
    opacity: 1;
    pointer-events: all;
}

.form-container.work {
    right: 0;
}

.form-container.order {
    right: 0;
}

.form-container.bug-fix {
    right: 0;
}



.form {
    width: 80%;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 16px 16px;
    padding: clamp(32px, 2vw, 48px) clamp(24px, 2vw, 48px) clamp(32px, 2vw, 48px) clamp(24px, 2vw, 48px);
    border-radius: 60px;
    border: 1px solid var(--border-color);
    background-color: rgba(255, 255, 255, .09);
}

.row {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-around;
    gap: 16px;
}

.form .row label {
    width: 50%;
    background-color: var(--input-color);
    border: 1px solid var(--border-color);
    padding: 8px 16px;
    border-radius: 10px;
    font-size: 14px;
    color: var(--form-changer-btn-color);
    cursor: pointer;
}

label.resom {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

label.resom .file-name {
    font-size: 8px;
    font-style: italic;
}

.form input {
    padding: 8px 16px;
    border-radius: 10px;
    font-size: 14px;
    background-color: transparent;
    border: 1px solid var(--border-color);
    background-color: var(--input-color);
    width: calc(100%);
    color: #393d3f;
}

.form textarea {
    width: 100%;
    padding: 8px 16px;
    resize: none;
    border-radius: 10px;
    min-height: 160px;
    background-color: var(--input-color);
    border: 1px solid var(--border-color);
    color: #393d3f;
    font-size: 14px;
}

.form .row input {
    width: 50%;
}

input::placeholder {
    color: var(--form-changer-btn-color);
}

.dropdown {
    width: 50%;
    list-style: none;
    border: 1px solid var(--border-color);
    display: block;
    background-color: var(--input-color);
    border-radius: 10px;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: start;
    font-size: 14px;
    cursor: pointer;
}

.dropdown .button {
    padding: 8px 16px;
    transition: var(--transition-2);
    color: var(--form-changer-btn-color);
    width: 100%;
    display: inline-block;
}

.dropdown .items {
    display: flex;
    flex-direction: column;
    align-items: start;
    display: inline-block;
    width: 100%;
    position: absolute;
    left: 0;
    top: 110%;
    border-radius: 10px;
    transition: all .5s ease-in-out;
    background-color: var(--bg-color);
    color: var(--base-color);
    opacity: 0;
    pointer-events: none;
    transform: translateY(30px);
    z-index: 3;
}

.dropdown .items .item {
    width: 100%;
    display: inline-block;
    padding: 8px 16px;
    cursor: pointer;
    width: 100%;
    display: inline-block;
    border-bottom: 1px solid var(--border-color);
    opacity: .5;
    transition: all .3s ease-in-out;
}

input[type="submit"] {
    background-color: #C9C5BF;
    cursor: pointer;
}

.dropdown .items .item:hover {
    opacity: 1;
}

.dropdown .items .item:last-child {
    border: none;
}

.dropdown.active .items {
    opacity: 1;
    pointer-events: all;
    transform: translateY(0);
}

.dropdown.active .button {
    color: #393d3f;
}

textarea::placeholder {
    color: var(--form-changer-btn-color);
}

.form-changer {
    width: 80%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: auto;
    margin-bottom: 24px;
}

.form-changer .form-changer-btn {
    min-width: 36px;
    min-height: 36px;
    color: var(--form-changer-btn-color);
    background-color: var(--input-color);
    border-radius: 50%;
    border: 1px solid var(--border-color);
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: var(--transition-3);
}

.form-changer .form-changer-btn:hover {
    color: #393d3f;
}